unable to handle this request. HTTP ERROR 500

Hi,

One site inside on WP Multisite give me an error 500, I don't have any different Plugin activated in that site, why I have an error 500 on that site?

There is any way to check that?

The error show me when I visit the site and when I try to access the Dashboard.

  • Nithin
    • Support Wizard

    Hi ferreirex,

    Enabling debug mode in your website, should give a better idea what’s exactly causing the 500 error. To enable it, open your wp-config.php file located in your root directory, and look for define(‘WP_DEBUG’, false);. Change it to:

    define('WP_DEBUG', true);

    In order to enable the error logging to a file on the server you need to add:

    define( 'WP_DEBUG_LOG', true );
    define( 'WP_DEBUG_DISPLAY', false );
    @ini_set( 'display_errors', 0 );
    define( 'SCRIPT_DEBUG', true );

    After making the above changes, please try load the site where the 500 error occurs. One done, the related errors will be saved to a debug.log log file inside the /wp-content/ directory.

    Which should give a better idea what exactly is causing the issue. If you aren’t sure how to check the debug.log file, please attach the debug.log in your next reply in txt format file, so that we could give a closer look. You can find more details about debugging here.

    Please let us know how that goes, have a nice day. :slight_smile:

    Kind Regards,

    Nithin

  • ferreirex
    • Site Builder, Child of Zeus

    Hi Nithin ,

    Thank you very much for the answer, I have checked the debug.log file and the last errors I got this

    [04-Jan-2019 07:21:40 UTC] PHP Fatal error: Uncaught Error: Call to undefined function et_core_is_gutenberg_active() in /home/thestron/public_html/wp-content/themes/Divi/includes/builder/feature/BlockEditorIntegration.php:572

    Stack trace:

    #0 /home/thestron/public_html/wp-content/themes/Divi/includes/builder/framework.php(553): require()

    #1 /home/thestron/public_html/wp-content/themes/Divi/includes/builder/framework.php(693): et_builder_load_framework()

    #2 /home/thestron/public_html/wp-content/themes/Divi/et-pagebuilder/et-pagebuilder.php(13): require(‘/home/thestron/…’:wink:

    #3 /home/thestron/public_html/wp-includes/class-wp-hook.php(286): et_setup_builder(”:wink:

    #4 /home/thestron/public_html/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)

    #5 /home/thestron/public_html/wp-includes/plugin.php(453): WP_Hook->do_action(Array)

    #6 /home/thestron/public_html/wp-settings.php(467): do_action(‘init’:wink:

    #7 /home/thestron/public_html/wp-config.php(106): require_once(‘/home/thestron/…’:wink:

    #8 /home/thestron/public_html/wp-load.php(37): require_once( in /home/thestron/public_html/wp-content/themes/Divi/includes/builder/feature/BlockEditorIntegration.php on line 572

    I have to reinstall the theme but still show the same and I only have that problem in one site not in all sites I’m using inside my WP multisite installation.

    Can I clean the content inside the debug.log file? the file is a little big, I have the debug mode turn On all the time.

  • ferreirex
    • Site Builder, Child of Zeus

    Hi Ash ,

    I have instaled yesterday by FTP but the problem still there.

    I have been talking with the Divi Support but is not yet solved.

    About the file (debug.log), can I clean up?

    The other sites inside my WP multisite installation with Divi they are working fine, just this isn’t, it is normal?

  • Nithin
    • Support Wizard

    Hi ferreirex,

    About the file (debug.log), can I clean up?

    Yes, you can revert the changes done in wp-config.php once debugging is over.

    The other sites inside my WP multisite installation with Divi they are working fine, just this isn’t, it is normal?

    Yes, however it’s tough to say what exact case is causing without troubleshooting in further. The error log shared in your last reply, point out the issue is more specific within Divi theme side.

    In most case such issue occurs, if either the theme wasn’t updated to it’s latest version, or installed correctly, or a plugin which is depended for the theme to work is disabled.

    Checking it with Divi support would give a better idea where the issue is, as the issue is specific to Divi. If you want us to give a closer look, then please point out which sub-site you are noticing the issue, and grant support staff access so we could give a closer look.

    You can grant access from WPMU DEV > Support > Support Access > Grant Access, or check this manual: https://premium.wpmudev.org/docs/getting-started/getting-support/#chapter-5

    Kind Regards,

    Nithin

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.